<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui" >
    <body>
        <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.jsf.extraction_physicochimie_jsf" var="extractionPhysicoChimiePanel"/>
        <ui:decorate template="/templates/extraction/template.xhtml">
            <ui:define name="title">#{extractionPhysicoChimiePanel.PROPERTY_MSG_TITLE}
            </ui:define>

            <ui:param name="titleExtraction"
                      value="#{extractionPhysicoChimiePanel.MSG_TITLE_EXTRACTION}"></ui:param>
            <ui:param name="introMain"
                      value="#{extractionPhysicoChimiePanel.MSG_INTRO_MAIN}"></ui:param>
            <ui:param name="uiBean" value="#{uiBeanPhysicoChimie}" />
            <ui:param name="library" value="css/extraction" />
            <ui:define name="togglePanelItems">
                <p:tab title="#{extractionPhysicoChimiePanel.PROPERTY_MSG_CHOICE_STEP1}">
                    <ui:include
                        src="/templates/extraction/panels/dispositifChoiceStep.xhtml">
                        <ui:param name="css" value="dispositifChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="1" />
                    </ui:include>
                </p:tab>

                <p:tab title="#{extractionPhysicoChimiePanel.PROPERTY_MSG_CHOICE_STEP2}">
                    <ui:include
                        src="/templates/extraction/panels/variableChoiceStep.xhtml">
                        <ui:param name="css" value="variablesChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="2" />
                    </ui:include>
                </p:tab>

                <p:tab title="#{extractionPhysicoChimiePanel.PROPERTY_MSG_CHOICE_STEP3}">
                    <ui:include
                        src="/templates/extraction/panels/datesChoiceStep.xhtml">
                        <ui:param name="css" value="datesChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="31" />
                    </ui:include>
                </p:tab>


            </ui:define>
            <ui:define name="accordionItems">
                <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.physicochimie.jsf.physicochimie" var="extractionPhysicoChimiePanel"/>
                <p:tab title="#{extractionPhysicoChimiePanel.PROPERTY_MSG_CHOICE_STEP1}">
                    <ui:include
                        src="/templates/extraction/accordionItems/dispositifAccordionItem.xhtml">
                        <ui:param name="titleForDispositifAccordionItem"
                                  value="#{extractionPhysicoChimiePanel.PROPERTY_MSG_ACCORDION_STEP1}" />
                    </ui:include>
                </p:tab>
                <p:tab title="#{extractionPhysicoChimiePanel.PROPERTY_MSG_CHOICE_STEP2}"
                       disabled="#{not uiBean.uiDispositif.dispositifStepIsValid}">
                    <ui:include
                        src="/templates/extraction/accordionItems/variablesAccordionItem.xhtml">
                        <ui:param name="titleForVariablesAccordionItem"
                                  value="#{extractionPhysicoChimiePanel.PROPERTY_MSG_ACCORDION_STEP2}" />
                    </ui:include>
                </p:tab>agros
                <p:tab title="#{extractionPhysicoChimiePanel.PROPERTY_MSG_CHOICE_STEP3}"
                       disabled="#{not uiBean.uiVariable.variableStepIsValid}">
                    <ui:include
                        src="/templates/extraction/accordionItems/datesAccordionItem.xhtml">
                        <ui:param name="titleForDatesAccordionItem"
                                  value="#{extractionPhysicoChimiePanel.PROPERTY_MSG_ACCORDION_STEP3}" />
                    </ui:include>
                </p:tab>

            </ui:define>
        </ui:decorate>
    </body>
</html>